using UnityEngine;
using System.Collections;

public class Artefact : MonoBehaviour {

    public delegate void UseAction();
    public static event UseAction OnUse;

    // Use this for initialization
    void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
	
	}

    public void Use()
    {
        if (OnUse != null)
        {
            OnUse();
        }
        Destroy(gameObject, 0.2f);
    }
}
